- @html_class = "subscriptions-layout-html"
- page_title _('Your profile')
- add_page_specific_style 'page_bundles/signup'
- content_for :page_specific_javascripts do
  = render "layouts/google_tag_manager_head"
  = render "layouts/one_trust"
  = render "layouts/bizible"
= render "layouts/google_tag_manager_body"

.row.gl-flex-grow-1
  .d-flex.gl-flex-direction-column.gl-align-items-center.gl-w-full.gl-px-5.gl-pb-5
    .edit-profile.d-flex.flex-column.gl-align-items-center
      %h2.gl-text-center= html_escape(_('Welcome to GitLab,%{br_tag}%{name}!')) % { name: html_escape(current_user.first_name), br_tag: '<br/>'.html_safe }
      %p.gl-text-center
        = _('To personalize your GitLab experience, we\'d like to know a bit more about you. We won\'t share this information with anyone.')
      = gitlab_ui_form_for(current_user,
        url: users_sign_up_welcome_path(glm_tracking_params.merge(params.permit(:trial))),
        html: { class: '!gl-w-full gl-p-5 js-users-signup-welcome',
                'aria-live' => 'assertive',
                data: { testid: 'welcome-form' } }) do |f|
        = render Pajamas::CardComponent.new do |c|
          - c.with_body do
            .devise-errors
              = render 'devise/shared/error_messages', resource: current_user
            .row
              .form-group.col-sm-12
                = f.label :role, _('Role'), class: 'label-bold'
                = f.select :role, ::User.roles.keys.map { |role| [role.titleize, role] }, { include_blank: _('Select a role') }, class: 'form-control js-user-role-dropdown', required: true, data: { testid: 'role-dropdown' }
            = render 'jobs_to_be_done', f: f
            = render 'setup_for_company', f: f
            = render 'joining_project'
            = render 'opt_in_to_email', f: f
            .row
              .form-group.col-sm-12.gl-mb-0
                = render Pajamas::ButtonComponent.new(variant: :confirm, block: true,
                  button_options: { type: :submit, data: { testid: 'get-started-button' },
                  class: 'js-trial-welcome-btn'}) do
                  = welcome_submit_button_text
